#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release
PROGRAM=../bin/$TARGET/Preprocessor.exe

echo "starting $TARGET version"

SCENE=../data/Arena/arena-high-lods.obj
VIEWCELLS=../data/Arena/arena-high-lods-57000-viewcells.xml.gz

LOG_PREFIX=../scripts/tests/sig2008
ENVIRONMENT=gvs.env


METHOD=gvs
echo "$SCENE $METHOD"


$PROGRAM $ENVIRONMENT \
-scene_filename=$SCENE \
-preprocessor=gvs \
-gvs_epsilon=0.0001 \
-gvs_total_samples=500000 \
-gvs_samples_per_pass=50000 \
-gvs_initial_samples=16 \
-gvs_max_viewcells=10 \
-gvs_min_contribution=50 \
-gvs_per_viewcell=true \
-view_cells_filename=$VIEWCELLS \
-view_cells_load_from_file=true \
-view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log

sh movefiles.sh $LOG_PREFIX-$METHOD